// file: $USFS/class/image_segmentation/v1.0/imags_load_0.cc
//

// isip include files
//
#include "image_segmentation.h"
#include "image_segmentation_constants.h"

// method: load_models_cc
//
// arguments: none
//   
// return:
//   a logical_1 value indicating status
//
// this method loads all parameter files
//
logical_1 Image_segmentation::load_models_cc() {

  // load all parameter files
  //
  for (int_4 i=0; i<num_models_d; i++) {
    if (ia_d[i].load_cc(param_files_d[i]) == ISIP_FALSE) {
      error_handler_cc((char_1*)"load_models_cc", (char_1*)"error
                       loading parameter files");
      return ISIP_FALSE;
    }
  }

  // get necessary parameters from the Image_analysis objects
  //
  mode_d = ia_d[0].mode_cc();
  frm_size_d = ia_d[0].frm_size_cc();
  win_size_d = ia_d[0].win_size_cc();
  dct_blk_size_d = ia_d[0].dct_blk_size_cc();
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
